Bio::Tools::Analysis::DNA::ESEfinder(3)

NAME
Bio::Tools::Analysis::DNA::ESEfinder - a wrapper around ESEfinder server

SYNOPSIS
  use Bio::Tools::Analysis::DNA::ESEfinder;
  use strict;

  my $seq; # a Bio::PrimarySeqI or Bio::SeqI object

  $seq = Bio::Seq->new(
       -primary_id => 'test',
       -seq=>'atgcatgctaggtgtgtgttttgtgggttgtactagctagtgat'.
       -alphabet=>'dna');

  my $ese_finder = Bio::Tools::Analysis::DNA::ESEfinder->
      new(-seq => $seq);

  # run ESEfinder prediction on a DNA sequence
  $ese_finder->run();

  die "Could not get a result"
      unless $ese_finder->status =~ /^COMPLETED/;

  print $ese_finder->result;      # print raw prediction to STDOUT

  foreach my $feat ( $ese_finder->result('Bio::SeqFeatureI') ) {

      # do something to SeqFeature
      # e.g. print as GFF
      print $feat->gff_string, "\n";
      # or store within the sequence - if it is a Bio::SeqI
      $seq->add_SeqFeature($feat)

  }

DESCRIPTION
This class is a wrapper around the ESEfinder web server which uses experimentally defined scoring matrices to identify possible exonic splicing enhancers in human transcripts.

The results can be retrieved in 4 ways.

1.  "$ese_finder->result('')" retrieves the raw text output of the program

2.  "$ese_finder->result('all')" returns a Bio::Seq::Meta::Array object with prediction scores for all residues in the sequence

3.  "$ese_finder->result('Bio::SeqFeatureI')" returns an array of Bio::SeqFeature objects for sequences with significant scores. Feature tags are score, motif, SR_protein and method

4.  "$ese_finder->result('raw')" returns an array of significant matches with each element being a reference to [SR_protein, position, motif, score]

See <http://rulai.cshl.edu/tools/ESE2/>

This the second implementation of Bio::SimpleAnalysisI which hopefully will make it easier to write wrappers on various services. This class uses a web resource and therefore inherits from Bio::WebAgent.

SEE ALSO
Bio::SimpleAnalysisI, Bio::WebAgent

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHORS
Richard Adams, Richard.Adams@ed.ac.uk, Heikki Lehvaslaiho, heikki-at-bioperl-dot-org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _